## keepass2 2.58%2Bdfsg

=== debian/changelog ===
keepass2 (2.58+dfsg-0.1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 29 Mar 2025 17:02:04 -0700

keepass2 (2.58+dfsg-0ubuntu1~22.04.sav0) jammy; urgency=medium

  * New upstream release
  * Revert "d/rules: Add code to update KeePass.exe.config with correct
    version" (this has now been fixed by upstream, see bug #2332 comments)
  * Merge these changes from Debian 2.57+dfsg-3 package:
    - Add missing Build-Depends on libgcrypt20-dev
    - d/copyright: remove files no longer included in source
    - d/rules: 
      - replace /usr/share/cli-common/cli.make by 'dh --with=cli'
      - run xbuild with "/property:Deterministic=True" (reproduicible build)
      - remove Build/Chm before running archmage
    - d/patches:
      - refresh them
      - remove patch disable-clipboard-workaround.patch (workaround is now
        disabled by default in upstream since 2.54)
      - update patch for Help to try local help first if available, and use
        xdg-open instead of x-www-browser
    - d/control:
      - update to debhelper-compat 13
      - bump version dependency of cli-common-dev
      - add build-dep to libargon2-dev & mono-utils
      - add dep to xdg-utils
  * d/rules: Add KeePass.sln project file to xbuild invocation (to fix FTBFS
    due there now being a second project file KeePass_2.sln in source root)
  * d/patches/: Refresh them once again for latest source changes
  * d/copyright: Bump years on debian/* paragraph

 -- Rob Savoury <savoury@savos.tech>  Fri, 28 Mar 2025 11:56:50 -0700

keepass2 (2.57.1+dfsg-0ubuntu1~22.04.sav0) jammy; urgency=medium

  * New upstream release

 -- Rob Savoury <savoury@savos.tech>  Thu, 17 Oct 2024 17:06:18 -0700

keepass2 (2.57+dfsg-0ubuntu1~22.04.sav0) jammy; urgency=medium

  * New upstream release
  * d/rules: Add code to update KeePass.exe.config with correct version (see
    https://sourceforge.net/p/keepass/discussion/329221/thread/6331362061/)

 -- Rob Savoury <savoury@savos.tech>  Mon, 03 Jun 2024 18:29:35 +1000

keepass2 (2.56+dfsg-0ubuntu1~22.04.sav0) jammy; urgency=medium

  * New upstream release
  * d/patches/: Rebase skip-sgen-run-during-build.patch

 -- Rob Savoury <savoury@savos.tech>  Sat, 01 Jun 2024 17:17:54 +1000

keepass2 (2.51.1+dfsg-0ubuntu1~22.04.sav0) jammy; urgency=medium

  * New upstream release
  * d/control: Add libargon2-1 BD as now required
  * d/patches/: Drop do-not-use-the-non-free-icons.patch (icons are gone)
    - Rebase all remaining patches for new source changes
  * d/rules: Add --exclude-moduleref=libargon2.so.0 to dh_clideps invocation
  * d/copyright: Remove png icons from Files-Excluded (no longer in source)
    - Add myself to debian/* paragraph based on the changes made above
  * d/README.source: Remove, no longer required (only one dll is excluded)

 -- Rob Savoury <savoury@savos.tech>  Fri, 27 May 2022 21:28:03 -0700
