## keepass2 2.60%2Bdfsg

=== debian/changelog ===
keepass2 (2.60+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bug fix: "(build-)depends on deprecated module python3-pkg-resources",
    thanks to Matthias Klose (Closes: #1083453).

 -- Roland Mas <lolando@debian.org>  Mon, 09 Feb 2026 12:06:22 +0100
