## keepass2 2.60+dfsg

=== debian/control ===
Source: keepass2
Section: utils
Priority: optional
Maintainer: Debian CLI Applications Team <pkg-cli-apps-team@lists.alioth.debian.org>
Uploaders:
 Julian Taylor <jtaylor.debian@googlemail.com>,
 Roland Mas <lolando@debian.org>,
Build-Depends:
 archmage (>= 1:0.4.2.1-4~),
 debhelper-compat (= 13),
 imagemagick,
 libargon2-dev,
 libgcrypt20-dev,
 libxml-dom-perl,
 mono-devel (>= 6.14.1+ds-6) | cli-common-dev,
Standards-Version: 4.5.0
Homepage: http://keepass.info/
Vcs-Git: https://salsa.debian.org/dotnet-team/keepass2.git
Vcs-Browser: https://salsa.debian.org/dotnet-team/keepass2

Package: keepass2
Architecture: all
Depends:
 libargon2-1 (>= 0~20190702+dfsg),
 libgcrypt20 (>= 1.11.2),
 libx11-6 (>= 2:1.6.0),
 libmono-corlib4.5-cil (>= 5.18.0.240),
 libmono-system-drawing4.0-cil (>= 5.12.0.309),
 libmono-system-security4.0-cil (>= 5.18.0.240),
 libmono-system-windows-forms4.0-cil (>= 5.16.0.220),
 libmono-system-xml4.0-cil (>= 4.6.1.3),
 libmono-system4.0-cil (>= 5.18.0.240),
 mono-runtime (>= 3.0~),
 ${cli:Depends},
 ${misc:Depends},
Recommends:
 xsel,
Suggests:
 keepass2-doc,
 mono-dmcs,
 xdg-utils,
 xdotool,
Description: Password manager
 KeePass is a easy-to-use password manager for Windows, Linux, Mac OS X and
 mobile devices. You can store your passwords in highly-encrypted databases,
 which can only be unlocked with one master password and/or a key file.
 A database consists of only one file that can be transferred from one computer
 to another easily.
 KeePass can import data from various file formats. The password list can be
 exported to various formats, including TXT, HTML, XML and CSV files.

Package: keepass2-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Description: Password manager - Documentation
 KeePass is a easy-to-use password manager for Windows, Linux, Mac OS X and
 mobile devices. You can store your passwords in highly-encrypted databases,
 which can only be unlocked with one master password and/or a key file.
 A database consists of only one file that can be transferred from one computer
 to another easily.
 KeePass can import data from various file formats. The password list can be
 exported to various formats, including TXT, HTML, XML and CSV files.
 .
 This package contains the documentation.
